### Function

# EDataServer WebDAVSession util_item_href_equal

since: 3.40

#### Declaration [src]

    gboolean
    e_webdav_session_util_item_href_equal (
      const gchar* href1,
      const gchar* href2
    )

#### Description [src]

Compares two hrefs and return whether they reference the same item on the server. The comparison is done in a relaxed way, not considering scheme part and comparing the host name case insensitively, while the path case sensitively. It also ignores the username/password information in the hostname part, if it’s included. The function doesn’t decode any URI-encoded characters.

Available since: 3.40

#### Parameters

`href1`

  Type: `const gchar*`

  The first href.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`href2`

  Type: `const gchar*`

  The second href.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the two href-s reference the same item.